Subject: Crash while downloading substitutes

From: "Timo Wilken" <[email-masked]>
Date: Sun, 05 Jan 2025 20:28:42 +0100

Hi, I've just had a crash while downloading substitutes, which I haven't seen
before:

--8<---------------cut here---------------start------------->8---
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
 bdb-6.2.32-doc  16.6MiB      4.54GiB/s 00:00 |######            |  33.1%Backtrace:
In guix/store.scm:
   2038:8 19 (_ _)
In guix/gexp.scm:
   300:22 18 (_ _)
   1218:2 17 (_ _)
   1085:2 16 (_ _)
    926:4 15 (_ _)
In guix/store.scm:
  2095:12 14 (_ #<store-connection 256.100 7fbea1539eb0>)
  1437:13 13 (map/accumulate-builds #<store-connection 256.100 7fbe…> …)
  1437:13 12 (map/accumulate-builds #<store-connection 256.100 7fbe…> …)
  1437:13 11 (map/accumulate-builds #<store-connection 256.100 7fbe…> …)
  1437:13 10 (map/accumulate-builds #<store-connection 256.100 7fbe…> …)
  1437:13  9 (map/accumulate-builds #<store-connection 256.100 7fbe…> …)
   1433:5  8 (map/accumulate-builds #<store-connection 256.100 7fbe…> …)
  1449:15  7 (_ #<store-connection 256.100 7fbea1539eb0> _ _)
   772:14  6 (process-stderr _ _)
In unknown file:
           5 (display "@ substituter-succeeded /gnu/store/lckd7dkf8…" …)
In guix/status.scm:
   757:16  4 (write! _ _ _)
    670:6  3 (_ (download-progress "/gnu/store/lckd7dkf8v7rspnlf…" …) …)
In guix/progress.scm:
   255:17  2 (display-download-progress "https@" _ #:tty? _ # _ # _ # …)
In ice-9/boot-9.scm:
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
In procedure =: Wrong type argument in position 1: #f
--8<---------------cut here---------------end--------------->8---

Simply re-running the crashing "guix home reconfigure" command worked fine. I
haven't managed to reproduce this issue yet, but thought it worth reporting in
case someone spots the issue.

--8<---------------cut here---------------start------------->8---
$ guix describe
Generation 63	Jan 05 2025 19:53:21	(current)
  guix 6cb47c3
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 6cb47c374469f7c26775520540e1ed79a8bff674
  tw 0274ded
    repository URL: https://git.twilken.net/dotfiles
    branch: master
    commit: 0274dedeb51957e94b83d59a14971ab948675c91
  guix-past 2d3485b
    repository URL: https://codeberg.org/guix-science/guix-past.git
    branch: master
    commit: 2d3485b7fd7c1904bc7c1a87fc45048376ff4d3a
  [non-free repos omitted]
--8<---------------cut here---------------end--------------->8---

Cheers,
Timo